function settimewindow
%  

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global axeshandles NChan channelscaling ampscaling timescaling timewindow lowerlimit
timewindow=get(gco,'Value');


for j=1:NChan
    if ~(((0.98-j*(0.83/channelscaling))+(0.83/channelscaling)*0.5-(0.83/NChan)*ampscaling*0.5)<lowerlimit)
        set(axeshandles(j),'position',[0.03-(1-timescaling)*(0.98/timescaling)*(timewindow*timescaling) (0.98-j*(0.83/channelscaling)+(0.83/channelscaling)*0.5-(0.83/NChan)*ampscaling*0.5) 0.98/timescaling (0.83/NChan)*ampscaling],'Color','none');
    else
        set(axeshandles(j),'position',[0.03-(1-timescaling)*(0.98/timescaling)*(timewindow*timescaling) 3 0.98/timescaling (0.83/NChan)*ampscaling],'Color','none');
    end
end

return
